Get Coupon

Get a single coupon of the customer by its _id, including the code (value), status, fiat_class, fiat_value, expiry and the offer it was generated from. lead_id is required so a customer can only read their own coupons. Refer to this article for the authentication flow when calling this API from a storefront or client side environment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

(Required) (This needs to be coupons _id value)

Query Params
uuid
required

(Required) (This needs to be leads _id value)

Headers
string
enum
required

(Required) (This can only be one of mobile,web) (web for browsers and servers, mobile for native apps)

Allowed:
string
required

(Required) (This needs to be your apikey)

string
required

(Required) (This needs to be your workspaceid)

string

(Required when using a storefront read only api key, not needed with a server api key) (This needs to be the lead_token of the customer, a 1 hour JWT returned by Get User via the x-leaddigest flow or generated on your server with your api signing secret) (When passed, the customer is taken from the token and any lead_id or customer_id in the request is ignored) (Learn more about authentication here)

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json